<?php

namespace Hecate;

use Hecate\Components\ComponentsRepository;

class PageRender {

	public static function getHeaderComponentId() {
//        global $wp_query;
//        $page = $wp_query->get_queried_object();
//
       return 'header';
		if ( is_front_page() ) {
			return 'header';
		}

		return 'secondary-header';
	}

	public static function getFooterComponentId() {
		return 'footer';
	}

	public static function renderHeader() {
		ComponentsRepository::render( static::getHeaderComponentId() );
	}

	public static function renderFooter() {
		ComponentsRepository::render( static::getFooterComponentId() );
	}


}
